summaryrefslogtreecommitdiff
path: root/bin/harvest-commit-times
diff options
context:
space:
mode:
Diffstat (limited to 'bin/harvest-commit-times')
-rwxr-xr-xbin/harvest-commit-times12
1 files changed, 12 insertions, 0 deletions
diff --git a/bin/harvest-commit-times b/bin/harvest-commit-times
index 163870f..fc876b8 100755
--- a/bin/harvest-commit-times
+++ b/bin/harvest-commit-times
@@ -58,6 +58,18 @@ if ! verbose_flock ${block_flag} 9; then
exit
fi
+if ! ${i_am_the_master}; then
+ for repo_name in ${repo_names}; do
+ eval repo_path='"${repo_paths__'"${repo_name}"'}"'
+ if [ -d "${repo_path}/.git" ]; then
+ git -C "${repo_path}" remote update
+ else
+ git -C "${repo_path}" fetch origin master:master
+ fi || \
+ true
+ done
+fi
+
tmp_file=$(mktemp 'tmp.harvest-commit-times.XXXXXXXXXX' --tmpdir)
trap 'rm "${tmp_file}"' EXIT